﻿#include <iostream>
#include <vector>
#include "histogram.h"
#include "svg.h"
#include "text.h"
#include <string>

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& in_stream) {
    Input in;
    size_t number_count;
    in_stream >> number_count;
    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        in_stream >> in.numbers[i];
    }
    in_stream >> in.bin_count;
    return in;
}


int main(int argc, char* argv[]) {
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    show_histogram_text(bins);

    return 0;
}
